;
* =============================================================
*
*   Del_350.asm     Axiom Delay  
*                                 
*   Version:        1.0   Released 1/17/2005
*   Author:         Gary Karnes , Axiom Mfg.
*   Compiler:       As12
*       
*   Platform:       DEMO9S12XDT512
*   Purpose:        Short Delay routines
* 
* ===============================================================
;
;  
; Delay half of DelayX
Delay2X:
             pshx
             ldx  #$8000
Delay2XL:
             dex
             bne  Delay2XL
             pulx
             rts 
; 
;
;Delay using X register
DelayX:
             pshx                  ; save x
             ldx  #$FFFF           ; x delay value
DelayXL:
             dex
             bne  DelayXL
             pulx                  ; restore x
             rts
;
; Delay using X two times
DelayX2:
             bsr  DelayX
             bsr  DelayX
             rts
; Delay using X four times
DelayX4:
             bsr  DelayX2
             bsr  DelayX2
             rts
;
; Delay using X eight times
DelayX8:
             bsr  DelayX4
             bsr  DelayX4
             rts
;
; Delay using X sixteen times
DelayX16:
             bsr   DelayX8
             bsr   DelayX8
             rts
;
;