;
; =================================================
;
;   Mes_350.asm     Message Strings 
;                                 
;   Version:        1.0   Released 12/14/2004
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       As12
;       
;   Platform:       DEMO9S12XDT512
;   Purpose:        Common Messages
; 
; ==================================================
;
;                        Message file
;
; Special message subroutines
;
; Press any key to continue

PKEY:
          jsr      M_CRLF        ; 
          jsr      String3       ; Press any key
          fdb      MPress        ; 
          fdb      Many
          fdb      MKey
          jsr      Sci_In        ; get a char from key pad
          rts
;
MA:         fcc     'A'
            fcb     0
MAD:        fcc     'AD'
            fcb     0
MAdjust:    fcc     'Adjust'
            fcb     0
;Mall:      fcc     'all'
;           fcb     0
;MAnalog:   fcc     'Analog'
;           fcb     0
Mand:      fcc     'and'
           fcb     0
Many:       fcc      'any'
            fcb     0
MApply:     fcc     'Apply'
            fcb     0
Mare:       fcc     'are'
            fcb     0
MAXIOM:     fcc      'AXIOM'
            fcb      0
MB:         fcc     'B'
            fcb     0
MBack:      fcc     'Back'
            fcb     0
MBoard:    fcc     'Board'
           fcb     0
;MButtons:  fcc     'Buttons'
;           fcb     0
MCAN:       fcc     'CAN'
            fcb     0
MCAN_PRT:   fcc     'CAN_PORT'
            fcb     0
MCANTEST:	fcc     'CAN Test Start'
		fcb     0


;MCAN_P:    fcc     'CAN_PORT'
;           fcb     0 
;MCML12S:   fcc      'CML12S'
;           fcb      0
MCAR:
           fcb      $0d
           fcb      $0a
           fcb      $00
;MCh:       fcc      'Ch'
;           fcb      0
;MCh0:      fcc      'Ch 0'
;           fcb      0
;MCh1:      fcc      'Ch 1'
;           fcb      0
;MCh2:      fcc      'Ch 2'
;           fcb      0
;MCh3:      fcc      'Ch 3'
;           fcb      0
;MCh4:      fcc      'Ch 4'
;           fcb      0
;MCh5:      fcc      'Ch 5'
;           fcb      0
;MCh6:      fcc      'Ch 6'
;           fcb      0
;MCh7:      fcc      'Ch 7'
;           fcb      0
;MCh8:      fcc      'Ch 8'
;           fcb      0
;MCh9:      fcc      'Ch 9'
;           fcb      0
;MCh10:     fcc      'Ch 10'
;           fcb      0
;MCh11:     fcc      'Ch 11'
;           fcb      0
;MCh12:     fcc      'Ch 12'
;           fcb      0
;MCh13:     fcc      'Ch 13'
;           fcb      0
;MCh14:     fcc      'Ch 14'
;           fcb      0
;MCh15:     fcc      'Ch 15'
;           fcb      0

;MCOM_2:    fcc      'COM_2'
;           fcb      0
;MConnect:  fcc      'Connector'
;           fcb      0
MCover:     fcc      'Cover'
            fcb      0
;MDac:      fcc      'Dac'
;           fcb      0    
MDEMO9SX:   fcc      'DEMO9S12XDT512'
            fcb      0       
;MDip:      fcc      'Dip'
;           fcb      0
MDisable:  fcc      'Disable'
           fcb      0
;M_E:       fcc      'E'
;           fcb      0
ME:         fcc      'E'
            fcb      0
;MequalSy:  fcc      '='
;           fcb      0
MFailed:   fcc      'Failed'
           fcb      0
Mfor:      fcc      'for'
           fcb      0
MFour:      fcc      'Four'
            fcb      0
;Mfrom:     fcc      'from'
;           fcb      0
;MHigh:     fcc      'High'
;           fcb      0
;Min:       fcc      'in'
;           fcb      0
MInstall:  fcc      'Install'
           fcb      0
;MI_O:      fcc      'I/O'
;           fcb      0
;Mis:       fcc      'is'
;           fcb      0
MJ1:        fcc      'J1'
            fcb      0
MJ2:        fcc      'J2'
            fcb      0
;MJp7:      fcc      'Jp7'
;           fcb      0
;MJp14:     fcc      'Jp14'
;           fcb      0
;MJumper:   fcc      'Jumper'
;           fcb      0
MJumpers:  fcc      'Jumpers'
           fcb      0
MKey:      fcc      'Key'
           fcb      0
;MKEYPAD:   fcc      'KEY PAD'
;           fcb      0
;MLab:      fcc      'Lab'
;           fcb      0
;MLabs:     fcc      'Labs'
;           fcb      0
;MLater:    fcc      'Later'
;           fcb      0
;MLCD:      fcc      'LCD'
;           fcb      0
MLED1:     fcc      'LED1'
           fcb      0
MLED2:     fcc      'LED2'
           fcb      0
MLED3:     fcc      'LED3'
           fcb      0
MLED4:     fcc      'LED4'
           fcb      0





 
MLEDS:     fcc      'LEDS'
           fcb      0
MLight:    fcc      'Light'
           fcb      0
MLIN:      fcc      'LIN'
           fcb      0
MLoop:     fcc      'Loop'
           fcb      0
;MLow:      fcc      'Low'
;           fcb      0
MM:         fcc      'M'
            fcb      0
MMANUFAC:  fcc      'MANUFACTURING'
           fcb      0
MMaximum:  fcc      'Maximum'
           fcb      0
;MMCU_PORT: fcc      'MCU_PORT'
;           fcb      0
;MMessage:  fcc      'Message'
;           fcb      0
;MMode:     fcc      'Mode'
;           fcb      0
;MNormal:   fcc      'Normal'
;           fcb      0
MOff:      fcc      'Off'
           fcb      0
;Mon:       fcc      'on'
;           fcb      0
MOn:       fcc      'On'
           fcb      0
MOne:       fcc     'One'
            fcb     0
;MOpto:     fcc      'Opto'
;           fcb      0
MP:         fcc      'P'
            fcb      0
;MParallel: fcc      'Parallel'
;           fcb      0
MPassed:    fcc      'Passed'
            fcb      0
;MP_COM2:   fcc      'P_COM2'
;           fcb      0
MPins:     fcc      'Pins'
           fcb      0
;MPlace:    fcc      'Place'
;           fcb      0
MPort:     fcc      'Port'
           fcb      0
;MPORT_J:   fcc      'PORT J'
;           fcb      0
;MPORT_K:   fcc      'PORT K'
;           fcb      0
;MPORT_M:   fcc      'PORT M'
;           fcb      0
;MPORT_P:   fcc      'PORT P'
;           fcb      0
;MPORT_S:   fcc      'PORT_S'
;           fcb      0
;MPORT_T:   fcc      'PORT T'
;           fcb      0
MPosit:     fcc      'Position'
            fcb      0
;MPOT:      fcc      'POT'
;           fcb      0
;MPot:      fcc      'Potentiometer'
;           fcb      0
MPress:    fcc      'Press'
           fcb      0
;MProject:  fcc      'Project'
;           fcb      0
;MPush:     fcc      'Push'
;           fcb      0
;MQuit:     fcc      'Quit'
;           fcb      0
;MRANGE:    fcc      'RANGE'
;           fcb      0
;MRead:     fcc      'Read'
;           fcb      0
;MRelease:  fcc      'Release'
;           fcb      0
;MRemove:   fcc      'Remove'
;           fcb      0
;MResult:   fcc      'Result'
;           fcb      0
;MRev:      fcc      'Rev'
;           fcb      0
MRV1:       fcc      'RV1'
            fcb      0
MRZ1:       fcc      'RZ1'
            fcb      0
MS:         fcc      'S'
            fcb      0
;MSelf:     fcc      'Self'
;           fcb      0
;MSensor:   fcc      'Sensor'
;           fcb      0
;MSerial:   fcc      'Serial'
;           fcb      0
MSW1:       fcc      'SW1'
            fcb      0
MSW2:       fcc      'SW2'
            fcb      0
MSW3:       fcc      'SW3'
            fcb      0
;MTogg:     fcc      'Toggling'
;           fcb      0
MSpace1:    fcc      ' '
            fcb      0
MSpace2:    fcc      '  '
            fcb      0
MSpace3:    fcc      '   '
            fcb      0
MSpace4:    fcc      '    '
            fcb      0
;MSpace5:   fcc      '     '
;           fcb      0
;MSpace6:   fcc      '      '
;           fcb      0
;MSpace7:   fcc      '       '
;           fcb      0
;MSw1:      fcc      'Sw1'
;           fcb      0
;MSw2:      fcc      'Sw2'
;           fcb      0
;MSwitch:   fcc      'Switch'
;           fcb      0
;MSwitches:  fcc      'Switches'
;           fcb      0  
MT:         fcc       'T'
            fcb      0 
;MTemper:   fcc      'Temperature'
;           fcb      0     
MTest:     fcc      'Test'
           fcb      0
;MTesting:  fcc      'Testing'
;           fcb      0
MThree:     fcc      'Three'
            fcb      0
;MThru:     fcc      'Thru'
;           fcb      0
Mto:        fcc      'to'
            fcb      0
MTogglei:   fcc      'Toggling'
            fcb      0
MTurn:     fcc      'Turn'
           fcb      0
MTwo:       fcc      'Two'
            fcb      0
Mup:        fcc      'up'
            fcb      0
;MU1:       fcc      'U1'
;           fcb      0
;MU2:       fcc      'U2'
;           fcb      0
;MU3:       fcc      'U3'
;           fcb      0
;MU4:       fcc      'U4'
;           fcb      0
;MU5:       fcc      'U5'
;           fcb      0
;MU6:       fcc      'U6'
;           fcb      0
;MU7:       fcc      'U7'
;           fcb      0
;MU8:       fcc      'U8'
;           fcb      0
;MU9:       fcc      'U9'
;           fcb      0
;MU10:      fcc      'U10'
;           fcb      0
;MU11:      fcc      'U11'
;           fcb      0
MUSER:      fcc      'USER'
            fcb      0
MVerify:   fcc      'Verify'
           fcb      0
MZero:     fcc      'Zero'
           fcb      0
M1:        fcc      '1'
           fcb      0
M1.:       fcc      '1.'
           fcb      0
;M1_2:      fcc      '1 & 2'
;           fcb      0
M2:        fcc      '2'
           fcb      0
;M2_3:      fcc      '2 & 3'
;           fcb      0
M2.        fcc      '2.'
           fcb      0
;M0275:     fcc      '0240 - 02C0'
;           fcb      0
M3:        fcc      '3'
           fcb      0
M3.        fcc      '3.'
           fcb      0
;M4:        fcc      '4'
;           fcb      0
M4.:       fcc      '4.'
           fcb      0
;M5:        fcc      '5'
;           fcb      0
M5.:       fcc      '5.'
           fcb      0
;M6:        fcc      '6'
;           fcb      0
M6.:       fcc      '6.'
           fcb      0
;M7:        fcc      '7'
;           fcb      0
M7.:       fcc      '7.'
           fcb      0
;M8:        fcc      '8'
;           fcb      0
M8.:       fcc      '8.'
           fcb      0
;M9:        fcc      '9'
;           fcb      0
M9.:        fcc      '9.'
            fcb      0
M11:        fcc      '11'
            fcb      0
M12:        fcc      '12'
            fcb      0
;MA:        fcc      'A'
;           fcb      0
;MB:        fcc      'B'
;           fcb      0
;MC:        fcc      'C'
;           fcb      0
;MD:        fcc      'D'
;           fcb      0
;ME:        fcc      'E'
;           fcb      0
;MF:        fcc      'F'
;           fcb      0
;M256:      fcc      '256'
;           fcb      0





;
; output space
;MSPACE:
;         fcb       $20
;         fcb       $00
;         rts
;MSPACE2:
;         bsr       MSPACE
;         bsr       MSPACE
;         rts
;MSPACE3:
;         bsr       MSPACE2
;         bsr       MSPACE
;         rts
;MSPACE4:
;         bsr       MSPACE2
;         bsr       MSPACE2
;         rts
;MSPACE8:
;         bsr       MSPACE4
;         bsr       MSPACE4
;         rts
;
; Output a Carriage return and a line feed.  Returns a = cr.
M_CRLF:
         jsr     String1
         fdb     MCAR
	   rts
;
; Report Failed
Failed:
         jsr      String1
         fdb      MFailed
         jsr      PKEY         ; press any key
         lbra     Menu
;
Passed: 
         jsr      String1
         fdb      MPassed      ; Report Passed
         jsr      PKEY         ; Wait for operator
         lbra     Menu

;
;
;