;
; =======================================================
;
;   RV1_350.asm     Axiom RV1 Test 
;                                 
;   Version:        1.0   Released 01/17/2005
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       As12
;       
;   Platform:       DEMO9S12XDT512
;   Purpose:        RV1 Subroutines
; 
; =======================================================
;
;  RV1 Routines PAD05
;  
;  Analog channel 5 =  RV1
;
; Test RV1
RV1_Tst:
            jsr    M_CRLF
            jsr    M_CRLF
            jsr    String2
            fdb    MRV1        ; RV1
            fdb    MTest       ; Test
            jsr    M_CRLF
            jsr    String4     ; Adjust RV1 for zero
            fdb    MAdjust
            fdb    MRV1
            fdb    Mfor
            fdb    MZero
            jsr    PKEY        ; press any key

            
RV1Loop:
            jsr    M_CRLF
            jsr    AnRdCh5     ; read analog result
            anda   #$03        ; get any analog value
            cpd   #$0000      ; compare to zero
            beq    RV1Nt1
            jsr    HEX2        ; print results
            tba                ; move b to a
            jsr    HEX2        ; print results
            jsr    DelayX4     ; delay
            bra    RV1Loop 
RV1Nt1:
            jsr    M_CRLF      ; skip line
            jsr    M_CRLF
            jsr    String3     ; Adjust for Maximum 
            fdb    MAdjust
            fdb    Mfor
            fdb    MMaximum
            jsr    PKEY

RV1Loop2:
            jsr    M_CRLF
            jsr    AnRdCh5     ; read analog result
            anda   #$03        ; get any analog value
            cpd    #$03ff      ; compare to maximum
            beq    RV1Nt2
            jsr    HEX2        ; print results
            tba                ; move b to a
            jsr    HEX2        ; print results
            jsr    DelayX4     ; delay
            bra    RV1Loop2 
RV1Nt2:

            lbra   Menu
;
;
;
;
;