;
;====================================================
;
;   Setup350.asm       Axiom Setup Driver Labs 
;                                 
;   Version:          1.0   Released 12/14/2004
;   Author:           Gary Karnes , Axiom Mfg.
;   Compiler:         As12
;       
;   Platform:         DEMO9S12XDT512
;   Purpose:          Setup XDT512
; 
;=====================================================
;  Default Setup
;  
; 
       movb #$40,COPCTL	   ; Disable COP



; Setup Ports Direction
        
         movb   #$ff,DDRA       ; Port A
         movb   #$f0,DDRB       ; Port B
         movb   #$ff,DDRC       ; Port C
         movb   #$ff,DDRD       ; Port D
         movb   #$ff,DDRE       ; Port E
         movb   #$ff,DDRH       ; Port H
         movb   #$ff,DDRJ       ; Port J
         movb   #$ff,DDRK       ; Port K
         movb   #$fe,DDRM       ; Port M
         movb   #$fc,DDRP       ; Port P
         movb   #$fa,DDRS       ; Port S
         movb   #$ff,DDRT       ; Port T
         movb   #$Cf,DDR1AD0    ; Port ADO
         movb   #$cf,ATD0DIEN   ; Port ADO
;

; 
; Setup communication port.
; Initialize SCI0 for 9600 baud
      jsr   Init_Sci
;           
;
; setup A/D converter
; setup channel zero
            movb #$f8,ATD0CTL2     ;
            movb #$00,ATD0CTL3     ;
            MOVB #$60,ATD0CTL4     ;
            movb #$B8,ATD0CTL5     ;
; setup channel one           
;            movb #$f8,ATD1CTL2     ;
;            movb #$00,ATD1CTL3     ;
;            MOVB #$60,ATD1CTL4     ;
;            movb #$B8,ATD1CTL5     ;   
;

        